PDA

View Full Version : Civ IV requirements announced


bluebomberman
May 26, 2006, 02:01 PM
From InsideMacGames (http://www.insidemacgames.com/news/story.php?ID=13462):

With Civilization IV just a few weeks away from completion, Aspyr Media today announced the final system requirements to the hotly anticipated Mac port.

Here are the final requirements:

Minimum System Requirements
Operating System: Mac OS X 10.3.9 or later
CPU Processor: PowerPC G5/Intel chipset
CPU Speed: 1.8 GHz or faster
Memory: 512 MB or higher
Hard Disk Space: 3.5 GB free disk space
Video Card (ATI): Radeon 9600 or better
Video Card (NVidia): GeForce FX 5200 or better
Video RAM: 64 MB or higher
Disc Drive - DVD

Multiplayer
Internet (TCP/IP) and LAN (TCP/IP) play supported. Internet play requires
broadband connection.

*Supported Video cards: NVIDIA GeForce 5200, 6600, 6800, 7800 ATI Radeon
9600, 9650, 9700, 9800, X600, X800, X850, X1600

Recommended System Requirements
Operating System: Mac OS X 10.4.6 or later
CPU Processor: PowerPC G5/Intel chipset
CPU Speed: 2.0 GHz or faster
Memory: 1 GB or higher
Video RAM: 128 MB

Civilization IV is currently scheduled to ship in late June. Be on the lookout for a hands-on preview of Civilization IV on IMG in the coming weeks.

Ouch. Barely meet minimum requirements. I think I'm going to pass.

srobert
May 26, 2006, 02:05 PM
Ouch. Barely meet minimum requirements. I think I'm going to pass.

Barely meeting the requirements for a Turn Based Strategy Game is not as bad as for other types of games. If you really like Civilization, you should give it a try. The reviews (http://www.metacritic.com/games/platforms/pc/civilization4?q=civilization) are excellent. I think I'm goinf to buy it myself.

encephalon
May 26, 2006, 02:13 PM
From an Aspyr developer on the related discussion thread:

Civ 4 is a very demanding game, it's no longer a simple 2D world. It has as many shaders and special effects as a game like COD2. We always catch flack because we try to set requirements with a bit more caution than a lot of PC games, but in the end I'd rather have them be a bit high than too low.

Glenda


http://www.insidemacgames.com/forum/index.php?s=&showtopic=25757&view=findpost&p=267536

Cougarcat
May 26, 2006, 02:30 PM
PC Minimum System Requirements

Operating System: Windows® 2000/XP
Processor: 1.2 GHz Intel Pentium 4 or AMD Athlon processor or equivalent
Memory: 256 MB RAM (Windows 2000) / 512 MB RAM (Windows XP)
Hard Disk Space: 1.7 GB Free
CD-ROM Drive : 4X Speed
Video: DirectX 9.0c-compatible 64 MB video card with Hardware T&L support ( GeForce 2/Radeon 7500 or better)
Sound: DirectX 9.0c-compatible sound card
DirectX®: DirectX® version 9.0c (included) or higher


Now compare that to the Mac minimum. Ouch. What puzzles me is the disparity in the disk space requirement––1.7 GB vs. 3.5!

When a turn-based board game has the same reqs as CoD2 and greater reqs as Quake IV, something's not right...

mkubal
May 26, 2006, 02:33 PM
Of course I know the question on all of our minds: how well will this run on a MacBook?

Or at least that's the question on my mind. :)

Mr. Anderson
May 26, 2006, 02:36 PM
I loved Civ III - I think I might have to get this when it comes out - my only concern is the amount of time it will suck up....

D

Kalns
May 26, 2006, 02:42 PM
This will be the one and only game that I will put on my Macbook. Not just because it's the only one I really really want to play, but also because Final Cut Studio is a harddrive whore.

miloblithe
May 26, 2006, 02:43 PM
Of course I know the question on all of our minds: how well will this run on a MacBook?

Or at least that's the question on my mind. :)

Won't run at all according to the required specs. No dedicated graphics card.

floyde
May 26, 2006, 02:54 PM
CPU Processor: PowerPC G5/Intel chipset
CPU Speed: 1.8 GHz or faster
??:eek: What about (last gen) G4 PowerBooks? That's insane, $2600 laptop can't run Civilization IV :confused: :( Why can't they just add a feature to turn off certain effects? Oh well, I guess I'll pick up a (few) next-gen console(s) then...:cool:

crazzyeddie
May 26, 2006, 03:56 PM
??:eek: What about (last gen) G4 PowerBooks? That's insane, $2600 laptop can't run Civilization IV :confused: :( Why can't they just add a feature to turn off certain effects? Oh well, I guess I'll pick up a (few) next-gen console(s) then...:cool:

I'm sure this will run on the more recent G4 Powerbooks. The speed difference between an iMac G5 and a Powerbook G4 (last gen) isn't so big that this game would be unplayable on one, but not the other.

~Shard~
May 26, 2006, 04:07 PM
Civ II is still my all-time favorite, much better than Civ III, but I'm willing to give Civ IV a try. I have a G4 iMac, but hopefully she'll still be able to run without too much difficulty... "Minimum System Requirements" aren't as stringent when it comes to turn-based games such as Civ, as compared to FPSs and the like. ;) :cool:

floyde
May 26, 2006, 04:16 PM
I'm sure this will run on the more recent G4 Powerbooks. The speed difference between an iMac G5 and a Powerbook G4 (last gen) isn't so big that this game would be unplayable on one, but not the other.
I hope this is the case. In my PC days I had one incident where I couldn't run a P4 game on a P3 machine. I was only like 0.07 Ghz below the minimum specs, but the game insisted that I needed a Pentium 4 processor and it wouldn't boot :( . I know this is uncommon, but I was hoping that Aspyr would manage to "officially" support older machines.

GeeYouEye
May 26, 2006, 04:27 PM
Damn... my PowerBook 15" won't even run it. :( it's got the graphics and RAM, but not the processor... well hopefully the requirements will be editable in the Info.plist file.

Pancake
May 27, 2006, 09:10 AM
It looks like it won't be running on my 1.25Ghz Powerbook. I'm feeling better about buying Civ 3 Complete now, even though I had the original civ 3. I thought it would only get a couple months play, it looks like it will continue to give me my Civ 3 fix.

I find it weird, I have friends who have played Civ 2, 3 and 4 and all swear a different one is the best.

fatties
May 28, 2006, 11:27 AM
i can't believe it won't run on a macbook! i was really looking forward to civ IV because i loved civ III and its supposed to be so much better... :mad:

but didn't someone manage to run a dedicated graphics game on a mac mini or something... may be its doable on a lower graphics or something...

right i guess its back to the drudging world of sims 2. that does run on the mac book doesn't it? or am i going to be introduced to a whole world of new games?

Kimi
May 29, 2006, 08:02 AM
i can't believe it won't run on a macbook! i was really looking forward to civ IV because i loved civ III and its supposed to be so much better... :mad:

but didn't someone manage to run a dedicated graphics game on a mac mini or something... may be its doable on a lower graphics or something...

right i guess its back to the drudging world of sims 2. that does run on the mac book doesn't it? or am i going to be introduced to a whole world of new games?
You can't expect to be able to play games with an integrated card can you?

fatties
May 29, 2006, 08:14 AM
i don't expect to play complicated games that involves about 1000 worlds and a million of nicely rendered individual soliders killing people my my mac book, no. but i do expect to be able to play a turn- based 'board game' type game on my mac book? frankly, yes. really nice graphics are a plus in turn based games but its not the end of the world is it? its not like some games where you want it to be as life- like as possible?

and since mcbook can apparently run sims 2 which seems pretty 3d to me, why can't it run civ IV?

alternative plan- get a game box thing on the cheap and play mario till my brain rots into mush.

Hydra
May 29, 2006, 11:06 AM
Play it under bootcamp/windows. Should work fine.

DougTheImpaler
May 29, 2006, 12:00 PM
I hope this is the case. In my PC days I had one incident where I couldn't run a P4 game on a P3 machine. I was only like 0.07 Ghz below the minimum specs, but the game insisted that I needed a Pentium 4 processor and it wouldn't boot :( . I know this is uncommon, but I was hoping that Aspyr would manage to "officially" support older machines.
That's probably due to Pentium 4's sporting SSE2 and Pentium III's only having original SSE. Fortunately for the G4, the G5 has no extra instruction sets getting in the way.

manic
Jun 5, 2006, 10:04 AM
Someone who owns a macbook and has tried to run Civ IV under bootcamp please come forward and tell us if it will work under the lowest graphics settings (albeit preferrably at native 1280 res), please?

Even though it says it requires a discrete graphics chip, it should run on a 2GB equipped macbook.

thanks